ONVIF::Device::Elements::SetHostnameFromDHCP(3)

NAME
ONVIF::Device::Elements::SetHostnameFromDHCP

DESCRIPTION
Perl data type class for the XML Schema defined element SetHostnameFromDHCP from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   FromDHCP

     $element->set_FromDHCP($data);
     $element->get_FromDHCP();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetHostnameFromDHCP->new($data);

Constructor. The following data structure may be passed to new():

 {
   FromDHCP =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL